#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	alsa		# ALSA support (OSS otherwise)
#
Summary:	MIDI player using pat sound sets
Summary(pl.UTF-8):	Odtwarzacz MIDI wykorzystujący zestawy dźwięków pat
Name:		wildmidi
Version:	0.3.9
Release:	1
License:	LGPL v3+ (library), GPL v3+ (player)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/wildmidi/%{name}-%{version}.tar.gz
# Source0-md5:	243ad6d754c84c5767749058c7a919c1
URL:		http://www.mindwerks.net/projects/wildmidi/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0.1}
BuildRequires:	cmake >= 2.8
# for wildmidi player
%{?with_alsa:Requires:	alsa-lib >= 1.0.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WildMidi is a wave table player that uses GUS pat sound sets to play
MIDI file. The WildMidi player is the frontend, and is only designed
to pass information to the core library and output any audio data the
library returns.

The core of the project, libWildMidi, is the work horse behind the
player. It's capable of multithreading and multiprocessing of MIDI
files, allowing for the mixing of multiple MIDI file at any one time
if someone had a desire to do so. This library is what turns the MIDI
files into audio data using the GUS pat sets.

%description -l pl.UTF-8
WildMidi to odtwarzacz plików MIDI wykorzystujący zestawy dźwięków pat
z GUS-a. WildMidi to frontend służący tylko do przekazywania
informacji do głównej biblioteki i wyprowadzania danych dźwiękowych
zwracanych przez bibliotekę.

Serce projektu, libWildMidi, to silnik stojący za odtwarzaczem. Jest w
stanie przetwarzać pliki MIDI wielowątkowo, pozwalając na miksowanie
wielu plików MIDI. Biblioteka jest tym, co zamienia pliki MIDI na dane
dźwiękowe przy użyciu zestawów pat z GUS-a.

%package devel
Summary:	Header files for WildMidi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WildMidi
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for WildMidi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WildMidi.

%package static
Summary:	Static WildMidi library
Summary(pl.UTF-8):	Statyczna biblioteka WildMidi
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WildMidi library.

%description static -l pl.UTF-8
Statyczna biblioteka WildMidi.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
install -d build
cd build
%cmake .. \
	%{?with_alsa:-DWANT_ALSA=ON} \
	%{!?with_alsa:-DWANT_OSS=ON} \
	%{?with_static_libs:-DWANT_STATIC=ON} \
	-DWANT_PLAYERSTATIC=OFF
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/wildmidi
%attr(755,root,root) %{_libdir}/libWildMidi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libWildMidi.so.1
%{_mandir}/man1/wildmidi.1*
%{_mandir}/man5/wildmidi.cfg.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libWildMidi.so
%{_includedir}/wildmidi_lib.h
%{_mandir}/man3/WildMidi_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libWildMidi.a
%endif
%changelog
* Fri Mar 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wildmidi.git;a=log;h=master

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 4169609
- updated to 0.3.9 (SEGV fix)

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 0f5aa50
- updated to 0.3.8
- removed outdated static patch

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 0742ddf
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 0819f46
- updated to 0.2.3.4
- added static patch
- removed obsolete opt,alsa-no-mmap patches

* Sun May 04 2008 aredridel <aredridel@pld-linux.org> 3c262d9
- add alsa-no-mmap patch

* Sun May 04 2008 aredridel <aredridel@pld-linux.org> 5388d3b
- added

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 518a605
- rel 2

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 627f900
- new

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 3377cb1
- allow disabling -march=

